

#ifndef UNITS_INCLUDED
#define UNITS_INCLUDED   1

#include "math/constants.h"

inline constexpr long double operator "" _deg( long double d )
{
   return d * math::pi / 180.0;
}

inline constexpr long double operator "" _lbm ( long double m )
{
   return m * 0.45359237;
}

inline constexpr long double operator "" _nm ( long double d )
{
   return d * 1852.0;
}

inline constexpr long double operator "" _kn( long double d )
{
   return d * ( 1852.0 / 3600.0 );
}

#endif

